unit PosSaver;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TPosSaver = class(TComponent)
  private
    { Private declarations }
    FIniName:String;
  protected
    { Protected declarations }
  public
    { Public declarations }
      Procedure Restore;
      Procedure Save;
  published
    { Published declarations }
    Property IniName:String Read FIniName Write FIniName;
  end;

procedure Register;

implementation

Uses
   IniFiles;

procedure Register;
begin
  RegisterComponents('Vision Logik', [TPosSaver]);
end;

Procedure TPosSaver.Restore;
Var
   Ini:TIniFile;
Begin
   Ini:=TIniFile.Create(FIniName);
   (Owner as TForm).Top:=Ini.ReadInteger('TPosSave','Top',(Owner as TForm).Top);
   (Owner as TForm).Left:=Ini.ReadInteger('TPosSave','Left',(Owner as TForm).Left);
   (Owner as TForm).Width:=Ini.ReadInteger('TPosSave','Width',(Owner as TForm).Width);
   (Owner as TForm).Height:=Ini.ReadInteger('TPosSave','Height',(Owner as TForm).Height);
   Ini.Destroy;
End;

Procedure TPosSaver.Save;
Var
   Ini:TiniFile;
Begin
   Ini:=TIniFile.Create(FIniName);
   Ini.WriteInteger('TPosSave','Top',(Owner as TForm).Top);
   Ini.WriteInteger('TPosSave','Left',(Owner as TForm).Left);
   Ini.WriteInteger('TPosSave','Width',(Owner as TForm).Width);
   Ini.WriteInteger('TPosSave','Height',(Owner as TForm).Height);
   Ini.Destroy;
End;


end.
